Skip to main content
POST
Add Turn Comment To Agent Conversation Ticket

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agentqa_ticket_id
string
required

Body

application/json

Turn-level comment to append.

turn_index
integer
required

Zero-based index of the transcript turn this comment refers to.

Required range: x >= 0
comment
string
required

What went wrong at this turn.

Required string length: 1 - 10000

Response

Successful Response

agentqa_ticket_id
string
required
workspace_id
string
required
owner_user_id
string
required
agent_id
string
required
needs_clustering
boolean
required
issue_type
enum<string> | null
required
Available options:
knowledge_gap,
incorrect_information,
documentation_gap,
product_feedback,
platform_bug,
tool_issue,
missing_tool,
unnecessary_escalation,
wrong_action
labels
string[]
required
conversation_ids
string[]
required
first_seen_unix_secs
integer | null
required
last_seen_unix_secs
integer | null
required
qa_comment
string | null
required
ticket_comments
TicketCommentResponseModel · object[]
required
turn_comments
TurnCommentResponseModel · object[]
required
status
enum<string>
required
Available options:
open,
in_progress,
resolved,
merged
source
enum<string>
required
Available options:
qa,
agent,
manual
assignee_user_id
string | null
required
created_at_unix_secs
integer
required
updated_at_unix_secs
integer
required